本人VPS已与2010年12月17日,成功部署升级nginx+php+mysql 最新版WEB环境,系统有CentOS更换为debian.

原VPS环境: CentOS-5.5 + Nginx-0.8.50 + mysql-5.1.48 + php-5.2.14

目前更换至:

debian-5 + Nginx-0.9.3 + mysql-5.1.53 + php-5.2.16

中间debian出错,初次无法使用apt-get install 安装GCC 相关,已解决特此记录下来。

==================================================================

此问题为debian apt源配置问题,打开:vi /etc/apt/sources.list

可以看到原来文件内源地址:

deb http://ftp.de.debian.org/debian lenny main contrib non-free
deb
http://ftp.de.debian.org/debian-volatile lenny/volatile main contrib non-free
deb
http://ftp.de.debian.org/debian-security lenny/updates main contrib non-free

在文档顶部添加apt源新地址,如下:

deb http://security.debian.org/ lenny/updates main contrib
deb-src
http://security.debian.org/ lenny/updates main contrib

deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib
deb-src
http://volatile.debian.org/debian-volatile lenny/volatile main contrib

 

deb http://ftp.de.debian.org/debian lenny main contrib non-free
deb
http://ftp.de.debian.org/debian-volatile lenny/volatile main contrib non-free
deb
http://ftp.de.debian.org/debian-security lenny/updates main contrib non-free

==================================================================

使用更新命令: apt-get update 完成

==================================================================

个人日志 | 评论(0) | 引用(0) | 阅读(3446)